Subject: Re: bug#63780: �ظ��º bug#63780: Reversing the grep message output type matching binary files (without the -a option added) changed from stdout to stderr

From: Jeffrey Walton <[email-masked]>
Date: Mon, 29 May 2023 21:44:11 -0400

On Mon, May 29, 2023 at 9:02 PM 2773414454 via Bug reports for GNU
grep <[email-masked]> wrote:
>
> &nbsp;&nbsp;&nbsp;&nbsp; I know my suggestion may seem silly, but in fact, I used grep3.4 related code for my project and provided it to the client, and recently provided the client with grep3.7 for an upgrade. After upgrade I found that the change from grep3.4 to grep3.5 caused my project to become invalid.
>
> &nbsp;&nbsp;&nbsp; Since the project is running, my dilemma is that I can only modify the source code of grep3.7 to solve the customer problem, and I cannot adapt the grep command to the project. I tried to roll back the behavior to grep3.4. I find that there are batch use cases that fail. At least 3 grep binary matching open source patches need to be backed up, this is too much modification, and I am afraid of introducing new problems to affect the use of customers. So my original intention is to ask the community whether there is a better way to modify the grep3.7 source code. The binary matching behavior of grep3.7 and grep3.4 is consistent.

Maybe ack(1) could be a suitable replacement for you. ack(1) man page
at https://linux.die.net/man/1/ack .

Or, you could roll your own replacement with just the functionality you need.

Or, you could describe the problem you are trying to solve, rather
than trying to revert to grep 3.4. Someone may be able to help you
with it.

Jeff